Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class Outlier

    java.lang.Object
      org.jfree.chart.renderer.Outlier

All Implemented Interfaces:
  java.lang.Comparable

public class Outlier
extends java.lang.Object
implements java.lang.Comparable

Represents one outlier in the box and whisker plot.

All the coordinates in this class are in Java2D space.

Author:
  David Browning

Constructor Summary
`Outlier(double xCoord, double yCoord, double radius)` Constructs an outlier item consisting of a point and the radius of the outlier ellipse

Method Summary
`int` | `compareTo(java.lang.Object o)` Compares this object with the specified object for order, based on the outlier's point.
`java.awt.geom.Point2D` | `getPoint()` Returns the xy coordinates of the bounding box containing the outlier ellipse.
`double` | `getRadius()` Returns the radius of the outlier ellipse.
`double` | `getX()` Returns the x coordinate of the bounding box containing the outlier ellipse.
`double` | `getY()` Returns the y coordinate of the bounding box containing the outlier ellipse.
`boolean` | `overlaps(Outlier other)` Returns a true if outlier is overlapped and false if it is not.
`void` | `setPoint(java.awt.geom.Point2D point)` Sets the xy coordinates of the bounding box containing the outlier ellipse.
`void` | `setRadius(double radius)` Sets the radius of the outlier ellipse.
`java.lang.String` | `toString()` Returns a textual representation of the outlier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Outlier

    public Outlier(double xCoord,
                   double yCoord,
                   double radius)

  Constructs an outlier item consisting of a point and the radius of the outlier ellipse

Parameters:
  `xCoord` - the x coordinate of the point.
  `yCoord` - the y coordinate of the point.
  `radius` - the radius of the ellipse.

Method Detail

### getPoint

    public java.awt.geom.Point2D getPoint()

  Returns the xy coordinates of the bounding box containing the outlier ellipse.

  Returns:
    The location of the outlier ellipse.

### setPoint

    public void setPoint(java.awt.geom.Point2D point)

  Sets the xy coordinates of the bounding box containing the outlier ellipse.

  Parameters:
    `point` - the location.

### getX

    public double getX()

  Returns the x coordinate of the bounding box containing the outlier ellipse.

  Returns:
    The x coordinate.

### getY

    public double getY()

  Returns the y coordinate of the bounding box containing the outlier ellipse.

  Returns:
    The y coordinate.

### getRadius

    public double getRadius()

  Returns the radius of the outlier ellipse.

  Returns:
    The radius.

### setRadius

    public void setRadius(double radius)

  Sets the radius of the outlier ellipse.

  Parameters:
    `radius` - the new radius.

### compareTo

    public int compareTo(java.lang.Object o)

  Compares this object with the specified object for order, based on the outlier's point.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### overlaps

    public boolean overlaps(Outlier other)

  Returns a true if outlier is overlapped and false if it is not. Overlapping is determined by the respective bounding boxes plus a small margin.

  Parameters:
    `other` - the other outlier.
  Returns:
    A `boolean` indicating whether or not an overlap has occured.

### toString

    public java.lang.String toString()

  Returns a textual representation of the outlier.

  Returns:
    a `String` representing the outlier.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD